Bug 971014 - Branding: references to reporting bugs should be integrated with RH tracking
Branding: references to reporting bugs should be integrated with RH tracking
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Sam Kottler
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 09:16 EDT by Corey Welton
Modified: 2014-06-18 04:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-06-05 09:16:24 EDT
Description of problem:
When user lands on some error pages, it indicates that user should report issues upstream. While this may be the case for the open source/upstream product, it's not appropriate for the enterprise product.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Do *something* which lands on an error page.  Currently you can follow the steps in bug #971012
2.  View the resulting error page.


Actual results:

Error page which reads:
If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full trace and relevant log entries.

Expected results:
Point to RH bugzilla and/or RH support mechanisms.

Additional info:
Comment 5 Corey Welton 2013-10-18 12:13:28 EDT
Can't presently trigger an error to assure it renders, but can at least confirm it's in the build

[root@qe-blade-09 ~]# grep Bugzilla /usr/share/foreman/app/views/about/index.html.erb 

<%= link_to _("Submit a bug to Red Hat's Bugzilla"),"https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Satellite%206", :rel => "external" %>


QA verified Satellite-6.0.2-RHEL-6-20131016.0
Comment 6 Sam Kottler 2013-10-18 12:16:29 EDT
You can just go to the about page and see the content there.
Comment 9 Bryan Kearney 2014-04-24 13:07:11 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.